<?php
  define('IN_PHPBB', true);
  $phpbb_root_path = './';
  include($phpbb_root_path . 'extension.inc');
  include($phpbb_root_path . 'common.'.$phpEx);
  
  //
  // Start session management
  //
  $userdata = session_pagestart($user_ip, PAGE_INDEX);
  init_userprefs($userdata);
  //
  // End session management
  //
	
  //See if Cancel was clicked.  If so don't save.
  if( isset($HTTP_POST_VARS['ad_change_cancel']) || isset($HTTP_GET_VARS['ad_change_cancel']) )
  {
    //Redirect to profile.
    header("Location: ./admin/index.".$phpEx."?pane=right&sid=".$userdata['session_id']);
    exit;
  }	
  
  //Make sure the user has ADMIN rights.
  if ($userdata['user_level'] != ADMIN)
  {
    echo "Hacking Attempt";
    Exit;
  }

  //Retrieve ad_enabled.
  if( isset($HTTP_POST_VARS['ad_enabled']) || isset($HTTP_GET_VARS['ad_enabled']) )
  {
    $ad_enabled = intval(( isset($HTTP_POST_VARS['ad_enabled']) ) ? $HTTP_POST_VARS['ad_enabled'] : $HTTP_GET_VARS['ad_enabled']);
  }
  else
  {
    $ad_enabled = 0;
  }

  //Retrieve ad_min_posts.
  if( isset($HTTP_POST_VARS['ad_min_posts']) || isset($HTTP_GET_VARS['ad_min_posts']) )
  {
    $ad_min_posts = intval(( isset($HTTP_POST_VARS['ad_min_posts']) ) ? $HTTP_POST_VARS['ad_min_posts'] : $HTTP_GET_VARS['ad_min_posts']);
  }
  else
  {
    $ad_min_posts = 0;
  }
  
  //Retrieve ad_client_id.
  if( isset($HTTP_POST_VARS['ad_client_id']) || isset($HTTP_GET_VARS['ad_client_id']) )
  {
    $ad_client_id = ( isset($HTTP_POST_VARS['ad_client_id']) ) ? $HTTP_POST_VARS['ad_client_id'] : $HTTP_GET_VARS['ad_client_id'];
  }
  else
  {
    $ad_client_id = "";
  }  
  
  //Retrieve ad_channel.
  if( isset($HTTP_POST_VARS['ad_channel']) || isset($HTTP_GET_VARS['ad_channel']) )
  {
    $ad_channel = ( isset($HTTP_POST_VARS['ad_channel']) ) ? $HTTP_POST_VARS['ad_channel'] : $HTTP_GET_VARS['ad_channel'];
  }
  else
  {
    $ad_channel = "";
  }
  
  //If $ad_enabled is not true or false, set it to false.
  if ($ad_enabled != 0 && $ad_enabled != 1)
  {
    $ad_enabled = 0;
  }
  
  //Make sure the $min_posts is a number in range.
  if (!is_int($ad_min_posts))
  {
    $ad_min_posts = 99999;
  }
  if ($ad_min_posts < 0 || $ad_min_posts > 99999)
  {
    $ad_min_posts = 99999;
  }
  
  //Make sure the client ID and the channel are not too large.
  $ad_client_id = substr(trim($ad_client_id), 0, 25);
  $ad_channel   = substr(trim($ad_channel),   0, 25);
  
  //Delete the config records for ads.
  $sql = "DELETE FROM " . CONFIG_TABLE . " WHERE config_name in ('ad_enabled', 'ad_client_id', 'ad_channel', 'ad_min_posts')";
  if( !($result = $db->sql_query($sql)) )
  {
    message_die(GENERAL_ERROR, 'Error deleting from'.$table_prefix.'config', '', __LINE__, __FILE__, $sql);
  }

  //Insert the config records.
  $sql = "INSERT INTO " . CONFIG_TABLE . " (config_name, config_value) VALUES ('ad_enabled', '$ad_enabled')";
  if( !($result = $db->sql_query($sql)) )
  {
    message_die(GENERAL_ERROR, 'Error inserting into '.$table_prefix.'config', '', __LINE__, __FILE__, $sql);
  }
  $sql = "INSERT INTO " . CONFIG_TABLE . " (config_name, config_value) VALUES ('ad_min_posts', '$ad_min_posts')";
  if( !($result = $db->sql_query($sql)) )
  {
    message_die(GENERAL_ERROR, 'Error inserting into '.$table_prefix.'config', '', __LINE__, __FILE__, $sql);
  }
  $sql = "INSERT INTO " . CONFIG_TABLE . " (config_name, config_value) VALUES ('ad_client_id', '$ad_client_id')";
  if( !($result = $db->sql_query($sql)) )
  {
    message_die(GENERAL_ERROR, 'Error inserting into '.$table_prefix.'config', '', __LINE__, __FILE__, $sql);
  }
  $sql = "INSERT INTO " . CONFIG_TABLE . " (config_name, config_value) VALUES ('ad_channel', '$ad_channel')";
  if( !($result = $db->sql_query($sql)) )
  {
    message_die(GENERAL_ERROR, 'Error inserting into '.$table_prefix.'config', '', __LINE__, __FILE__, $sql);
  }
	
  header("Location: ./admin/index.".$phpEx."?pane=right&sid=".$userdata['session_id']);
 
?>