<?php
  define('IN_PHPBB', true);
  $phpbb_root_path = './';
  include($phpbb_root_path . 'extension.inc');
  include($phpbb_root_path . 'common.'.$phpEx);
  
  //
  // Start session management
  //
  $userdata = session_pagestart($user_ip, PAGE_INDEX);
  init_userprefs($userdata);
  //
  // End session management
  //
  
  //See if Cancel was clicked.  If so don't save.
  if( isset($HTTP_POST_VARS['ad_change_cancel']) || isset($HTTP_GET_VARS['ad_change_cancel']) )
  {
    //Redirect to profile.
    header("Location: "."profile.php?mode=editprofile");
    exit;
  }
  
  //Get the user ID.
  $user_id = intval($HTTP_POST_VARS['id']);
  
  //Retrieve ad_client_id.
  if( isset($HTTP_POST_VARS['ad_client_id']) || isset($HTTP_GET_VARS['ad_client_id']) )
  {
    $ad_client_id = ( isset($HTTP_POST_VARS['ad_client_id']) ) ? $HTTP_POST_VARS['ad_client_id'] : $HTTP_GET_VARS['ad_client_id'];
  }
  else
  {
    $ad_client_id = "";
  }  
  
  //Retrieve ad_channel.
  if( isset($HTTP_POST_VARS['ad_channel']) || isset($HTTP_GET_VARS['ad_channel']) )
  {
    $ad_channel = ( isset($HTTP_POST_VARS['ad_channel']) ) ? $HTTP_POST_VARS['ad_channel'] : $HTTP_GET_VARS['ad_channel'];
  }
  else
  {
    $ad_channel = "";
  }

  //Make sure the client ID and the channel are not too large.
  $ad_client_id = substr(trim($ad_client_id), 0, 25);
  $ad_channel   = substr(trim($ad_channel),   0, 25);
  
  //Delete the config records for ads.
  $sql = "DELETE FROM " . $table_prefix . "ad_user WHERE user_id = $user_id";
  if( !($result = $db->sql_query($sql)) )
  {
    message_die(GENERAL_ERROR, 'Error deleting from'.$table_prefix.'config', '', __LINE__, __FILE__, $sql);
  }

  //Insert the config records.
  $sql = "INSERT INTO " . $table_prefix . "ad_user (user_id, ad_client_id, ad_channel) VALUES ($user_id, '$ad_client_id', '$ad_channel')";
  if( !($result = $db->sql_query($sql)) )
  {
    message_die(GENERAL_ERROR, 'Error inserting into '.$table_prefix.'config', '', __LINE__, __FILE__, $sql);
  }
	
	header("Location: "."profile.php?mode=editprofile");
?>