<?php
  define('IN_PHPBB', true);
  $phpbb_root_path = './';
  include($phpbb_root_path . 'extension.inc');
  include($phpbb_root_path . 'common.'.$phpEx);
  
  //
  // Start session management
  //
  $userdata = session_pagestart($user_ip, PAGE_INDEX);
  init_userprefs($userdata);
  //
  // End session management
  //
  
  //Make sure the user has ADMIN rights.
  if ($userdata['user_level'] != ADMIN)
  {
    echo "Hacking Attempt";
    Exit;
  }

  //Retrieve ad_enabled.
  if( isset($HTTP_POST_VARS['ad_enabled']) || isset($HTTP_GET_VARS['ad_enabled']) )
  {
    $ad_enabled = intval(( isset($HTTP_POST_VARS['ad_enabled']) ) ? $HTTP_POST_VARS['ad_enabled'] : $HTTP_GET_VARS['ad_enabled']);
  }
  else
  {
    $ad_enabled = 0;
  }

  //Retrieve min_posts.
  if( isset($HTTP_POST_VARS['min_posts']) || isset($HTTP_GET_VARS['min_posts']) )
  {
    $min_posts = intval(( isset($HTTP_POST_VARS['min_posts']) ) ? $HTTP_POST_VARS['min_posts'] : $HTTP_GET_VARS['min_posts']);
  }
  else
  {
    $min_posts = 0;
  }
  
  //Retrieve ad_client_id.
  if( isset($HTTP_POST_VARS['ad_client_id']) || isset($HTTP_GET_VARS['ad_client_id']) )
  {
    $ad_client_id = ( isset($HTTP_POST_VARS['ad_client_id']) ) ? $HTTP_POST_VARS['ad_client_id'] : $HTTP_GET_VARS['ad_client_id'];
  }
  else
  {
    $ad_client_id = "";
  }  
  
  //Retrieve ad_channel.
  if( isset($HTTP_POST_VARS['ad_channel']) || isset($HTTP_GET_VARS['ad_channel']) )
  {
    $ad_channel = ( isset($HTTP_POST_VARS['ad_channel']) ) ? $HTTP_POST_VARS['ad_channel'] : $HTTP_GET_VARS['ad_channel'];
  }
  else
  {
    $ad_channel = "";
  }
  
  //If $ad_enabled is not true or false, set it to false.
  if ($ad_enabled != 0 && $ad_enabled != 1)
  {
    $ad_enabled = 0;
  }
  
  //Make sure the $min_posts is a number in range.
  if (!is_int($min_posts))
  {
    $min_posts = 99999;
  }
  if ($min_posts < 0 || $min_posts > 99999)
  {
    $min_posts = 99999;
  }
  
  //Make sure the client ID and the channel are not too large.
  $ad_client_id = substr(trim($ad_client_id), 0, 25);
  $ad_channel   = substr(trim($ad_channel),   0, 25);
  
  echo $ad_enabled."<br>";
  echo $min_posts."<br>";
  echo $ad_client_id."<br>";
  echo $ad_channel."<br>";
  
  
	//Get the user ID.
//  $user_id = intval($HTTP_POST_VARS['id']);
  
  //Delete the config records for ads.
  $sql = "DELETE FROM ".$table_prefix."_config WHERE config_name in ('ad_enabled', 'ad_client_id', 'ad_channel', 'min_posts')";
  if( !($result = $db->sql_query($sql)) )
  {
    message_die(GENERAL_ERROR, 'Error deleting from'.$table_prefix.'_config', '', __LINE__, __FILE__, $sql);
  }

  //Insert the record for the specific user_id
  $sql = "INSERT INTO ".$table_prefix."_ad (user_id, ad_client_id, ad_channel) VALUES ($user_id, '$ad_client_id', '')";
  if( !($result = $db->sql_query($sql)) )
  {
    message_die(GENERAL_ERROR, 'Error deleting from'.$table_prefix.'_ad', '', __LINE__, __FILE__, $sql);
  }


  

/*		if (!($this_userdata = get_userdata($user_id)))
		{
			message_die(GENERAL_MESSAGE, $lang['No_user_id_specified'] );
		}

		if( $HTTP_POST_VARS['deleteuser'] )
		{
			$sql = "SELECT g.group_id 
				FROM " . USER_GROUP_TABLE . " ug, " . GROUPS_TABLE . " g  
				WHERE ug.user_id = $user_id 
					AND g.group_id = ug.group_id 
					AND g.group_single_user = 1";
			if( !($result = $db->sql_query($sql)) )
			{
				message_die(GENERAL_ERROR, 'Could not obtain group information for this user', '', __LINE__, __FILE__, $sql);
			}

			$row = $db->sql_fetchrow($result);
			
			$sql = "UPDATE " . POSTS_TABLE . "
				SET poster_id = " . DELETED . ", post_username = '$username' 
				WHERE poster_id = $user_id";
			if( !$db->sql_query($sql) )
			{
				message_die(GENERAL_ERROR, 'Could not update posts for this user', '', __LINE__, __FILE__, $sql);
			}*/  
?>