<?php
  define('IN_PHPBB', true);
  $phpbb_root_path = './';
  include($phpbb_root_path . 'extension.inc');
  include($phpbb_root_path . 'common.'.$phpEx);

  //
  // Start session management
  //
  $userdata = session_pagestart($user_ip, PAGE_INDEX);
  init_userprefs($userdata);
  //
  // End session management
  //
  
  //Make sure the user has ADMIN rights.
  if ($userdata['user_level'] != ADMIN)
  {
    echo "Hacking Attempt";
    Exit;
  }
  
	$sql = "SELECT config_value
		FROM " . CONFIG_TABLE . "
		WHERE config_name in ('ad_channel', 'ad_client_id', 'ad_enabled', 'ad_min_posts')
    ORDER BY config_name";
	if ( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not select from ' . CONFIG_TABLE, '', __LINE__, __FILE__, $sql);
	}
	$row = $db->sql_fetchrow($result);
	$ad_channel = $row['config_value'];
	$row = $db->sql_fetchrow($result);
  $ad_client_id = $row['config_value'];
  $row = $db->sql_fetchrow($result);
  $ad_enabled = $row['config_value'];
  $row = $db->sql_fetchrow($result);
  $ad_min_posts = $row['config_value'];
  
  include($phpbb_root_path . 'includes/page_header.'.$phpEx);
?>

<link rel="top" href="./index.php" title="phpBB.com Forum Index" />
<link rel="search" href="./search.php" title="Search" />
<link rel="help" href="./faq.php" title="FAQ" />
<link rel="author" href="./memberlist.php" title="Memberlist" />

<title>phpBB.com :: Search</title>
<link rel="stylesheet" href="templates/subSilver/subSilver.css" type="text/css">
<style type="text/css">
<!--
/*
  The original subSilver Theme for phpBB version 2+
  Created by subBlue design
  http://www.subBlue.com
*/
/* General site text */
.siteTitle		{ font-family: "Trebuchet MS", Verdana, Arial, Helvetica, sans-serif; font-size : 22px; font-weight : bold; text-decoration : none; line-height : 120%; color : #006699; }

.siteTextSmall	{ font-size : 10px; font-family: Verdana, Arial, Helvetica, sans-serif}
.siteTextMed	{ font-size : 11px; font-family: Verdana, Arial, Helvetica, sans-serif}
.siteText, p		{ font-size : 12px; font-family: Verdana, Arial, Helvetica, sans-serif}

a.siteText, a.siteTextMed, a.siteTextSmall { color: #006699; text-decoration: none; }
a.siteText:hover, a.siteTextMed:hover, a.siteTextSmall:hover	{ color: #FF6600; text-decoration: underline; }

.siteBotLinks	{ font-size : 11px; color : #333333; ; font-family: Verdana, Arial, Helvetica, sans-serif }
a.siteBotLinks, a.siteBotLinks:visited	{ color: #333333; text-decoration: none; }
a.siteBotLinks:hover	{ color: #004c75; text-decoration: underline; }

.bgTop		{  background-image:  url('/images/bg_top.gif'); background-repeat: repeat-x}
.bgBottom	{  background-color: #E8EEF2; background-image:  url('/images/bg_bottom.gif'); background-repeat: repeat-x}
.bgMiddle	{  background-image:  url('/images/bgMiddle.gif'); background-repeat: repeat-x}

th			{ background-image: url('/phpBB/templates/subSilver/images/cellpic3.gif') }
td.cat		{ background-image: url('/phpBB/templates/subSilver/images/cellpic1.gif') }
td.rowpic	{ background-image: url('/phpBB/templates/subSilver/images/cellpic2.jpg'); background-repeat: repeat-y }
td.catHead, td.catSides, td.catLeft, td.catRight, td.catBottom { background-image: url('/phpBB/templates/subSilver/images/cellpic1.gif') }
-->
</style>
<script language="JavaScript" type="text/javascript">
<!--
function MM_swapImgRestore() { //v3.0
  var i,x,a=document.MM_sr; for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++) x.src=x.oSrc;
}

function MM_preloadImages() { //v3.0
  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();
    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)
    if (a[i].indexOf("#")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}
}

function MM_findObj(n, d) { //v4.0
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && document.getElementById) x=document.getElementById(n); return x;
}

function MM_swapImage() { //v3.0
  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)
   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}
}

if ( 0 )
{
	window.open('privmsg.php?mode=newpm', '_phpbbprivmsg', 'HEIGHT=225,resizable=yes,WIDTH=400');;
}
//-->
</script>
</head>
<body bgcolor="#E5E5E5" text="#000000" link="#006699" vlink="#5584AA" onLoad="MM_preloadImages('/images/b_features-over.gif','/images/b_demo-over.gif','/images/b_downloads-over.gif','/images/b_support-over.gif','/images/b_comm-over.gif','/images/b_styles-over.gif','/images/b_mods-over.gif','/images/links-over.gif','/images/news-over.gif','/images/about-over.gif','/images/home-over.gif')">

<table width="100%" cellspacing="0" cellpadding="2" border="0">
	<tr>
		<td class="bodyline" bgcolor="white">
			<table width="100%" cellspacing="0" cellpadding="10" border="0">
				<tr>
					<td>


<!--webbot BOT="GeneratedScript" PREVIEW=" " startspan --><script Language="JavaScript" Type="text/javascript"><!--
function FrontPage_Form1_Validator(theForm)
{

  if (theForm.MinPosts.value.length > 5)
  {
    alert("Please enter at most 5 characters in the \"MinPosts\" field.");
    theForm.MinPosts.focus();
    return (false);
  }

  var checkOK = "0123456789-";
  var checkStr = theForm.MinPosts.value;
  var allValid = true;
  var validGroups = true;
  var decPoints = 0;
  var allNum = "";
  for (i = 0;  i < checkStr.length;  i++)
  {
    ch = checkStr.charAt(i);
    for (j = 0;  j < checkOK.length;  j++)
      if (ch == checkOK.charAt(j))
        break;
    if (j == checkOK.length)
    {
      allValid = false;
      break;
    }
    allNum += ch;
  }
  if (!allValid)
  {
    alert("Please enter only digit characters in the \"MinPosts\" field.");
    theForm.MinPosts.focus();
    return (false);
  }

  var chkVal = allNum;
  var prsVal = parseInt(allNum);
  if (chkVal != "" && !(prsVal >= "0" && prsVal <= "99999"))
  {
    alert("Please enter a value greater than or equal to \"0\" and less than or equal to \"99999\" in the \"MinPosts\" field.");
    theForm.MinPosts.focus();
    return (false);
  }
  return (true);
}
//--></script><!--webbot BOT="GeneratedScript" endspan --><form action="ad_admin_validate.php" method="POST" language="JavaScript">
<table class="forumline" width="100%" cellpadding="4" cellspacing="1" border="0">
	<tr>
		<th class="thHead" colspan="2" height="25">Ad Admin</th>
	</tr>
	<tr>
		<td class="row1"><span class="gen">Revenue sharing:</span><br />
        <span class="gensmall">Enable or disable Revenue sharing.</span></td>
		<td class="row2" valign="middle"><span class="genmed">
        <input type="radio" name="ad_enabled" value="1" <?php if ($ad_enabled == "1"){echo " checked ";}?>/>Enabled<br />
        <input type="radio" name="ad_enabled" value="0" <?php if ($ad_enabled != "1"){echo " checked ";}?> />Disabled</span></td>
	</tr>
	<tr>
		<td class="row1" width="50%"><span class="gen">Min Posts:</span><br />
        <span class="gensmall">The minimum number of posts needed before 
        a user can participate in revenue sharing.</span></td>
		<td class="row2"><span class="genmed">
        <!--webbot bot="Validation" s-data-type="Integer" s-number-separators="x" i-maximum-length="5" s-validation-constraint="Greater than or equal to" s-validation-value="0" s-validation-constraint="Less than or equal to" s-validation-value="99999" --><input type="text" style="width: 100px" class="post" name="ad_min_posts" size="10" value="<?php echo " $ad_min_posts ";?>" maxlength="5" /></span></td>
	</tr>
	<tr>
		<td class="row1" width="50%"><span class="gen">Google Ad Sense Client 
        ID:</span><br />
        <span class="gensmall">The Google supplied Ad Sense Client ID.</span></td>
		<td class="row2"><span class="genmed">
        <input type="text" style="width: 200px" class="post" name="ad_client_id" size="20" maxlength="25" value="<?php echo "$ad_client_id";?>"/></span></td>
	</tr>
	<tr>
		<td class="row1" width="50%"><span class="gen">Google Ad Sense Channel: 
        (Optional)</span><br />
        <span class="gensmall">The report channel for Google Ad Sense.</span></td>
		<td class="row2"><span class="genmed">
        <input type="text" style="width: 200px" class="post" name="ad_channel" size="20" maxlength="25"  value="<?php echo "$ad_channel";?>"/></span></td>
	</tr>
	<tr>
		<td class="catBottom" colspan="2" align="center" height="28">
        <input class="liteoption" type="submit" value="Save" />
        <a href="index.php">
        <input class="liteoption" type="submit" value="Cancel"  name="ad_change_cancel" /></a></td>
	</tr>
</table>
</form>
</body>
</html>